/******************************************************************************
 * ServerPortSelectorPanel.java - A little panel the selects a server and a port
 * $Id: ServerPortSelectorPanel.java,v 1.5 2009/02/11 09:05:36 dick Exp $
 * 
 * BuckoFIBS - Backgammon by BuckoSoft
 * Copyright 2009 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: ServerPortSelectorPanel.java,v $
 * Revision 1.5  2009/02/11 09:05:36  dick
 * Make fibs.com the default server.
 *
 * Revision 1.4  2009/01/28 18:15:10  dick
 * Prettier cvs link in the javadoc.
 *
 * Revision 1.3  2009/01/07 20:33:04  dick
 * Show a dummy port selector dialog.
 *
 * Revision 1.2  2009/01/07 08:36:53  dick
 * Add setServerName for when the profile changes.
 *
 * Revision 1.1  2009/01/05 07:16:48  dick
 * A little panel the selects a server and a port
 *
 */
package com.buckosoft.fibs.BuckoFIBS.gui.account;

import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JComboBox;
import javax.swing.JButton;
import java.awt.Font;
import java.awt.Dimension;
import java.awt.GridBagLayout;
import java.awt.GridBagConstraints;
import java.awt.Insets;

/** A little panel the selects a server and a port
 * @author Dick Balaska
 * @since 2009/01/04
 * @version $Revision: 1.5 $ <br> $Date: 2009/02/11 09:05:36 $
 * @see <a href="http://cvs.buckosoft.com/Projects/BuckoFIBS/BuckoFIBS/src/com/buckosoft/fibs/BuckoFIBS/gui/account/ServerPortSelectorPanel.java">cvs ServerPortSelectorPanel.java</a>
 */
public class ServerPortSelectorPanel extends JPanel {
	private static final long serialVersionUID = 1L;
	private JComboBox jComboBoxServerName = null;
	private JButton jButtonPort = null;

	/** Create a ServerPortSelectorPanel
	 * This method initializes 
	 */
	public ServerPortSelectorPanel() {
		super();
		initialize();
	}

	/** Get the name of the selected server.
	 * @return most likely fibs.com
	 */
	public String getServerName() {
		return((String)this.jComboBoxServerName.getSelectedItem());
	}

	/** Get the selected port number.
	 * @return always 4321
	 */
	public int getPort() {
		return(4321);
	}

	/** Set the selected server to be this one
	 * @param s The name of the server to select.
	 */
	public void setServerName(String s) {
		this.jComboBoxServerName.setSelectedItem(s);
	}

	/**
	 * This method initializes this
	 * 
	 */
	private void initialize() {
        GridBagConstraints gridBagConstraints1 = new GridBagConstraints();
        gridBagConstraints1.insets = new Insets(5, 3, 6, 5);
        gridBagConstraints1.gridy = 0;
        gridBagConstraints1.anchor = GridBagConstraints.EAST;
        gridBagConstraints1.gridx = 1;
        GridBagConstraints gridBagConstraints = new GridBagConstraints();
        gridBagConstraints.fill = GridBagConstraints.BOTH;
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.anchor = GridBagConstraints.WEST;
        gridBagConstraints.insets = new Insets(5, 5, 5, 2);
        this.setLayout(new GridBagLayout());
        this.setSize(new Dimension(99, 35));
        this.add(getJComboBoxServerName(), gridBagConstraints);
        this.add(getJButtonPort(), gridBagConstraints1);
			
	}

	/**
	 * This method initializes jComboBoxServerName	
	 * 	
	 * @return javax.swing.JComboBox	
	 */
	private JComboBox getJComboBoxServerName() {
		if (jComboBoxServerName == null) {
			jComboBoxServerName = new JComboBox();
			jComboBoxServerName.setToolTipText("select a server");
			jComboBoxServerName.setSelectedIndex(-1);
			jComboBoxServerName.addItem("fibs.com");
			jComboBoxServerName.addItem("lbd.buckosoft.com");
		}
		return jComboBoxServerName;
	}

	/**
	 * This method initializes jButtonPort	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getJButtonPort() {
		if (jButtonPort == null) {
			jButtonPort = new JButton();
			jButtonPort.setText("Port");
			jButtonPort.setFont(new Font("Dialog", Font.PLAIN, 10));
			jButtonPort.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					selectPortDialog();
				}
			});
		}
		return jButtonPort;
	}
	/** Show the dialog and return the name of the new Profile
	 * @return The name of the new Profile, or null
	 */
	private	void selectPortDialog() {
		//newProfileNameDialog = new NewProfileNameDialog(owningDialog);
		String s = (String)JOptionPane.showInputDialog(
				this,
                "Enter the port to connect to.\r\nDon't bother.  You get '4321' only.",
                "Server Port",
                JOptionPane.PLAIN_MESSAGE,
                null,
                null,
                "4321");
		if (s == null || s.length() == 0)
			return;
/*		this.properties.setProfileName(profileId, s);
		this.properties.setUserName(profileId, "");
		this.properties.setPassword(profileId, "");
		this.jComboBoxProfileName.addItem(s);
		this.jComboBoxProfileName.setSelectedIndex(profileId);
*/
	}

}  //  @jve:decl-index=0:visual-constraint="0,0"
