/******************************************************************************
 * ChatOutput.java - Component that handles the Chat Putput.
 * $Id: ChatOutput.java,v 1.2 2009/02/14 15:37:51 dick Exp $
 * 
 * BuckoFIBS - Backgammon by BuckoSoft
 * Copyright 2008 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: ChatOutput.java,v $
 * Revision 1.2  2009/02/14 15:37:51  dick
 * BuckoFIBS is released under the GNU license.
 *
 * Revision 1.1  2009/01/28 19:38:39  dick
 * package com.buckosoft.fibs.gui.chatWindow becomes com.buckosoft.fibs.BuckoFIBS.gui.chatWindow.
 *
 * Revision 1.2  2008/12/11 08:49:57  dick
 * Inbound chat is being written to the window.
 *
 * Revision 1.1  2008/10/08 23:09:41  dick
 * Define the chat subsystem.
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is BuckoFIBS, <http://www.buckosoft.com/BuckoFIBS/>.
 * The Initial Developer of the Original Code is Dick Balaska and BuckoSoft, Corp.
 * 
 */
package com.buckosoft.fibs.BuckoFIBS.gui.chatWindow;

import java.awt.Component;

import javax.swing.JScrollPane;

/** Component that handles the Chat output.
 * @author Dick Balaska
 * @since 2008/10/01
 * @version $Revision: 1.2 $ <br> $Date: 2009/02/14 15:37:51 $
 * @see <a href="http://cvs.buckosoft.com/Projects/BuckoFIBS/BuckoFIBS/src/com/buckosoft/fibs/BuckoFIBS/gui/chatWindow/ChatOutput.java">cvs ChatOutput.java</a>
 */
public class ChatOutput extends JScrollPane {
	private static final long serialVersionUID = 1L;

	/**
	 * This is the default constructor
	 */
	public ChatOutput() {
		super();
		initialize();
	}
	public ChatOutput(Component view) {
		super(view);
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(300, 200);

		this.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED);
	}

}
