/******************************************************************************
 * SavedMatch.java - Describe a saved match that we have with a player
 * $Id: SavedMatch.java,v 1.2 2009/02/14 15:46:17 dick Exp $
 * 
 * BuckoFIBS - Backgammon by BuckoSoft
 * Copyright 2009 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: SavedMatch.java,v $
 * Revision 1.2  2009/02/14 15:46:17  dick
 * BuckoFIBS is released under the GNU license.
 * Javadoc.
 *
 * Revision 1.1  2009/02/01 08:59:21  dick
 * Describe a saved match that we have with a player.
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is BuckoFIBS, <http://www.buckosoft.com/BuckoFIBS/>.
 * The Initial Developer of the Original Code is Dick Balaska and BuckoSoft, Corp.
 * 
 */
package com.buckosoft.fibs.domain;

/** Describe a saved match that we have with a player.
 * @author Dick Balaska
 * @since 2009/02/01
 * @version $Revision: 1.2 $ <br> $Date: 2009/02/14 15:46:17 $
 * @see <a href="http://cvs.buckosoft.com/Projects/BuckoFIBS/BuckoFIBS/src/com/buckosoft/fibs/domain/SavedMatch.java">cvs SavedMatch.java</a>
 */
public class SavedMatch {
	private	String	name;
	private	int		matchLength;
	private	int		score0;
	private	int		score1;

	/** Create an empty/default SavedMatch
	 */
	public SavedMatch() {}

	/** Get the name of the opponent
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/** Set the name of the opponent
	 * @param name the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

	/** Return the number of games in this match
	 * @return the matchLength
	 */
	public int getMatchLength() {
		return matchLength;
	}

	/** Set the number of games in this match.
	 * @param matchLength the matchLength to set
	 */
	public void setMatchLength(int matchLength) {
		this.matchLength = matchLength;
	}

	/** Get Your score in this match
	 * @return the score0
	 */
	public int getScore0() {
		return score0;
	}

	/** Set Your score in this match
	 * @param score0 the score0 to set
	 */
	public void setScore0(int score0) {
		this.score0 = score0;
	}

	/** Get the opponent's score in this match
	 * @return the score1
	 */
	public int getScore1() {
		return score1;
	}

	/** Set the opponent's score in this match
	 * @param score1 the score1 to set
	 */
	public void setScore1(int score1) {
		this.score1 = score1;
	}
}
